
QGIS Application - Feature request #4599

QGIS can scale down the attribute used for item scale and rotation

2011-12-02 08:17 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14504

Description

The rotation and scale features require an attribute that is within a precise range to make sense on a given map.

E.g., I have an attribute that has values ranging from 156 to 142403. I would like to give more visual meaning to the items on the map and

have their sizes scale according to this attribute. However, the largest item would be huge, taking up the whole screen.

At a minimum, I would like to have a way for QGIS to interpret this attribute's values so that 156 represents a small item size, 142403

represents a large item size, and all values in between scale proportionally. I don't want it where QGIS literally interprets 142403 to be a

size in some kind of fixed measurement that's consistent across all maps it creates.

This may be a separate feature request, but it would also be useful to have features like what are available with item coloring, where I can

smooth out or otherwise affect the size progression to account for clustering.

History

#1 - 2011-12-09 08:48 AM - Paolo Cavallini

- Category set to Symbology

#2 - 2012-02-18 02:33 PM - Aren Cambre

I guess the need here is either for QGIS to allow me to specify limits on either end of the size or rotation scale, then use a value between the two extremes

proportional to the actual value. E.g., if my actual values ranged from 1 to 1,000,000, but I set the boundaries between 40 and 60, then an actual value of 1

corresponds to 40, 500,000 corresponds to 50, and 1,000,000 corresponds to 60.

Now this is linear scaling. I guess the next logical step is to allow transformations like logaritmic scale, because available data doesn't always linearly scale

in a meaningful way for human-friendly output.

#3 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-12-05 06:19 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...
in QGIS 2.13 (and in previous version), you have now expressions scale_exp and scale_linear that can be used to scale your values. There is even a size

assistant which helps you write the expression.

I am closing this feature request.
